Subject: Re: [patch 3/3] mpc8349emitx.dts: Add ds1339 RTC

From: David Gibson <[email-masked]>
Date: Tue, 25 Sep 2007 15:47:16 +1000

On Tue, Sep 25, 2007 at 07:33:15AM +0200, Peter Korsgaard wrote:
> >>>>> "David" == David Gibson <[email-masked]> writes:
> 
> Hi,
> 
>  >> The Linux driver for the chip (rtc-1307.c) doesn't expose the NVRAM
>  >> bytes either.
> 
>  David> Incidentally how are you planning on instantiating the driver?  AFAIK
>  David> all the rtc-* drivers are platform drivers rather than of_platform
>  David> drivers.  I had been thinking of an rtc helper function that would go
>  David> through the tree instantiating platform devices for any RTCs based on
>  David> a compatible -> platform device name table.
> 
> Please see patch #2 in the series:
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2007-September/042896.html
> 
> That helper function more or less already exists in fsl_soc.c.

Ah, I see.  Well... it exists for i2c devices (possibly including
RTCs).  Whereas I was thinking of a version for RTCs (possibly
including i2c devices).  Actually that won't quite work - looks like
the i2c RTC class drivers are probed differently from the RTC drivers
I was looking at which are pure platform devices.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson